Failed to register device: landscape.client.broker.registr ation.RegistrationHandler

Bug #1799843 reported by Jamie Bennett on 2018-10-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
landscape-client (Ubuntu)
High
Dave Jones

Bug Description

Trying to register a new device with launchpad-client, press enter at all options to have a deefault configuration. Errors out with:

Traceback (most recent call last):
Failure: landscape.lib.amp.MethodCallError: timeout

broker.log shows:
2018-10-24 23:48:42,202 INFO [MainThread] Broker stopped with config /etc/landscape/client.conf
2018-10-24 23:48:56,130 INFO [MainThread] Broker started with config /etc/landscape/client.conf
2018-10-24 23:48:57,776 ERROR [MainThread] Error running event handler landscape.client.broker.registr
ation.RegistrationHandler._handle_pre_exchange() for event type 'pre-exchange' with args () {}.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/landscape/lib/reactor.py", line 90, in fire
    results.append(handler(*args, **kwargs))
  File "/usr/lib/python3/dist-packages/landscape/client/broker/registration.py", line 192, in _handle_pre
_exchange
    "vm-info": get_vm_info()}
  File "/usr/lib/python3/dist-packages/landscape/lib/vm_info.py", line 29, in get_vm_info
    vendor = _get_vm_by_vendor(dmi_vendor_path)
  File "/usr/lib/python3/dist-packages/landscape/lib/vm_info.py", line 62, in _get_vm_by_vendor
    vendor = read_text_file(sys_vendor_path).lower()
  File "/usr/lib/python3/dist-packages/landscape/lib/fs.py", line 73, in read_text_file
    content = read_binary_file(path).decode("utf-8")
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xff in position 0: invalid start byte
2018-10-24 23:48:57,784 INFO [MainThread] Starting urgent message exchange with https://landscape.can
onical.com/message-system.
2018-10-24 23:48:58,357 INFO [PoolThread-twisted.internet.reactor-0] Sent 554 bytes and received 90 b
ytes in 0.54s.
2018-10-24 23:48:58,404 INFO [MainThread] Switching to normal exchange mode.
2018-10-24 23:48:58,410 INFO [MainThread] Message exchange completed in 0.63s.

Jamie Bennett (jamiebennett) wrote :

For reference:

jamie@rose:/var/log/landscape$ uname -a
Linux rose 4.15.0-38-generic #41-Ubuntu SMP Wed Oct 10 10:59:38 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
jamie@rose:/var/log/landscape$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

Adam Collard (adam-collard) wrote :

Thanks for filing the bug, please can you attach files in /sys/class/dmi/id/ matching '*vendor' e.g. "sys_vendor", "chassis_vendor", "bios_vendor" - looks like there's something funny in one of those files which is tripping up the registration.

Changed in landscape-client (Ubuntu):
status: New → Incomplete
Jamie Bennett (jamiebennett) wrote :
Jamie Bennett (jamiebennett) wrote :

Looks like chassis* and sys* are a little wonky. This is an Intel NUC btw.

Changed in landscape-client (Ubuntu):
status: Incomplete → Confirmed
Dave Jones (waveform) on 2018-10-28
Changed in landscape-client (Ubuntu):
assignee: nobody → Dave Jones (waveform)
status: Confirmed → In Progress
Changed in landscape-client (Ubuntu):
importance: Undecided → High
Dave Jones (waveform) on 2018-11-02
Changed in landscape-client (Ubuntu):
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments